After leaving an internet game, Widelands freezes in the lobby

Reported by Nasenbaer on 2012-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Widelands Website
High
Unassigned
widelands
Medium
Unassigned

Bug Description

Just for the record, as this bug would surely be posted in future.

After leaving a multiplayer game it might happen that Widelands seems to freeze in the lobby.
This is because of an endless loop where Widelands tries to reconnect to the metaserver, the datastream suddenly ends and thus Widelands again tries to reconnect.
This bug was initially reported in the forums: http://wl.widelands.org/forum/topic/1046/?page=1#top
And hit me 2 times since than.

From the log output of the dedicated server, that was online at the same time the bug hit me, it seems, that the metaserver in fact sets the player as logged in, but directly sets it to logged out again:

[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.
[2012-04-26, 16:05] InternetGaming: Client update on metaserver.

... many many more at the same minute ...

[snip].

The endless loop was fixed in bzr rev. 6360 though a check how often the socket got invalid in the last 10 seconds. Once it gets invalid 3 times in 10 seconds, Widelands will stop trying to connect to the metaserver.

However the underlying problem is not clear? Why does it happen at all? Maybe there is a problem with the firewall of the widelands.org server? or does the metaserver send wrong commands?

Nasenbaer (nasenbaer) wrote :

retargeted to widelands-website, as the widelands side is fixed, but still the underlying problem on server side is unclear.

Changed in widelands:
status: Confirmed → Fix Committed
affects: widelands → widelands-website
Changed in widelands-website:
milestone: build18-rc1 → none
status: Fix Committed → Confirmed
Changed in widelands:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Nasenbaer (nasenbaer)
milestone: none → build18-rc1
Nasenbaer (nasenbaer) on 2013-07-31
Changed in widelands:
assignee: Nasenbaer (nasenbaer) → nobody
SirVer (sirver) wrote :

Released in build-18 rc1.

Changed in widelands:
status: Fix Committed → Fix Released
Changed in widelands-website:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers